package com.ftinc.si.assist.test.web;

import java.util.ArrayList;
import java.util.HashMap;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;

import com.ftinc.si.assist.run.VCentral;

//BeforeActionと同じ内容だがクラス名からアクション名のマップをPageActionEditorで構成し利用しているので別クラスとする。

public class AfterAction extends PageAction {
	//画面の準備ができるまで待つ。Actionごとに待ち方が異なる。
	protected WebElement waitUntil(WebDriver drv) {
		return null;
	}

	public void doCore(WebDriver drv, WebElement elm) {
		HashMap<String, Object> t_map = new HashMap<String, Object>();

		@SuppressWarnings("unchecked")
		ArrayList<String> t_val = (ArrayList<String>)getArg("value"); //拡張JsonPathのvalue部分
		t_map.put("exec after", t_val);
		VCentral.prepare(t_map);
	}

}
